/*
 * error.c
 */

#define LIBNFSNAPI_BUILDING_LIB

#include "error.h"


const char *libnfsnapi_strerror(libnfsnapi_error_t error)
{
#define ER(x)	case LIBNFSNAPI_ERROR_##x
	switch (error) {
		ER(NONE):	return "No error";
		ER(NOTIMPLEMENTED):	return "Not implemented";
		ER(MEMORY):	return "Out of memory";
		ER(NETWORK):	return "Network error";
		ER(LIBCURL):	return "Problem with libcurl";
		ER(ARGUMENT):	return "Bad argument";
		ER(PROTOCOL):	return "Server broke protocol";
	}

	return "** Unknown error **";
}
